<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorPrimary">

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/gl_line"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.1" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_animation"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@id/gl_line">

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/lottie_animation"
            android:layout_width="260dp"
            android:layout_height="260dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:lottie_autoPlay="true"
            app:lottie_loop="true" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/icon_xingzuo"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_progress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:paddingVertical="2dp"
        android:text="0%"
        android:textAlignment="center"
        android:textColor="@color/white"
        android:textSize="30sp"
        android:textStyle="bold"
        app:layout_constraintTop_toBottomOf="@id/cl_animation"
        tools:ignore="HardcodedText" />

    <androidx.appcompat.widget.AppCompatTextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:text="@string/please_wait"
        android:textAlignment="center"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constraintTop_toBottomOf="@id/tv_progress" />

    <com.base.appzxhy.business.ads.NativeParentView
        android:id="@+id/include_flAd"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/color_f0f0f0"
        app:layout_constraintBottom_toBottomOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:src="@drawable/zhanwei1" />

    </com.base.appzxhy.business.ads.NativeParentView>

</androidx.constraintlayout.widget.ConstraintLayout>